Bug 11008 - Remove unused column supplierreference in aqorders table
Summary: Remove unused column supplierreference in aqorders table
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 15:30 UTC by mathieu saby
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11008: Drop column aqorders.supplierreference (2.86 KB, patch)
2014-07-18 10:55 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11008: Drop column aqorders.supplierreference (3.36 KB, patch)
2014-11-27 10:13 UTC, Nicolas Legrand
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 11008: Drop column aqorders.supplierreference (3.36 KB, patch)
2014-11-27 10:33 UTC, Nicolas Legrand
Details | Diff | Splinter Review
[PASSED QA] Bug 11008: Drop column aqorders.supplierreference (3.42 KB, patch)
2014-12-05 15:57 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11008: (RM followup) DBIx schema update (1.64 KB, patch)
2015-04-13 13:22 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description mathieu saby 2013-10-07 15:30:38 UTC
In Schemaspy, column supplierreference is reported as "not used? always NULL".
"grep -r supplierreference *" give this result, so I suppose it is true : 


blib/INTRANET_CGI_DIR/installer/data/mysql/update22to30.pl:                field   => 'supplierreference',
blib/INTRANET_CGI_DIR/installer/data/mysql/kohastructure.sql:  `supplierreference` mediumtext, -- not used? always NULL
blib/INTRANET_CGI_DIR/installer/data/Pg/kohastructure.sql:supplierreference text,
installer/data/mysql/update22to30.pl:                field   => 'supplierreference',
installer/data/mysql/kohastructure.sql:  `supplierreference` mediumtext, -- not used? always NULL
installer/data/Pg/kohastructure.sql:supplierreference text,
t/db_dependent/Acquisition.t:                         supplierreference

I propose the deletion of this column.

M. Saby
Comment 1 Jonathan Druart 2014-07-18 10:55:10 UTC Comment hidden (obsolete)
Comment 2 Nicolas Legrand 2014-11-27 10:13:41 UTC Comment hidden (obsolete)
Comment 3 Nicolas Legrand 2014-11-27 10:33:23 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-12-05 15:57:47 UTC
Created attachment 34161 [details] [review]
[PASSED QA] Bug 11008: Drop column aqorders.supplierreference

It seems that this column has never been used.

Test plan:
1/ Execute the updatedatabase entry.
2/ git grep supplierreference should not return occurrence in the code (except
in Koha/Schema/*
3/ prove t/db_dependent/Acquisition.t should return green.

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-04-13 13:22:05 UTC
Created attachment 37738 [details] [review]
Bug 11008: (RM followup) DBIx schema update

Signed-off-by: Tomas Cohen Arazi <tomascohen@gmail.com>
Comment 6 Tomás Cohen Arazi 2015-04-13 13:39:12 UTC
Patch pushed to master.

Thanks Jonathan!